Bug 127964 - FILEOPEN: Shapes have blue blackground if useBgFill=1 and the slide and master slide don't have a background
Summary: FILEOPEN: Shapes have blue blackground if useBgFill=1 and the slide and maste...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2019-10-04 12:54 UTC by Xisco Faulí
Modified: 2019-10-15 08:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-04 12:54:30 UTC
Steps to reproduce:
1. Open attachment 154752 [details] from bug 105695

How to create the document from scratch:
1. Open MSO Powerpoint
2. Insert a shape -> shape is blue ( at least for me )
3. Change shapes' filling to 'slide background fill'
4. Save
5. Open in LibreOffice

-> The shape is blue

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: c9336bfb6bbf6d73d3f23c124262ade30133448d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-10-04 12:56:27 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=943a534ac7cb3df513583e226c986dafd8ba246b

author	Miklos Vajna <vmiklos@collabora.com>	2019-04-23 09:09:21 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2019-04-23 09:58:03 +0200
commit	943a534ac7cb3df513583e226c986dafd8ba246b (patch)
tree	e2c0aa46f6b81f7ca16e72e5d9b31ac953a44c44
parent	1ea226c6d247c349d87df3deb382052cd619e9bc (diff)
tdf#123684 PPTX import: fix wrong background color for <p:sp useBgFill="1">

Bisected with: bibisect-linux64-6.3

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2019-10-15 06:24:03 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/46d630f98f1c07ec2048da35d1a4804181148ac5

tdf#127964 PPTX import: fix shape fill handling: style vs slide background

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-10-15 07:33:49 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 4704acf63f4fed3a99fc95ff63c82eb5a9ae3908
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!
Comment 4 Commit Notification 2019-10-15 08:53:29 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/6f9407c0d872675dbcbd0dc52fd7a0fdb098804b

tdf#127964 PPTX import: fix shape fill handling: style vs slide background

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.